Subject: bug#18437: 24.3.93; cursor changes color and size at end of line

From: Drew Adams <[email-masked]>
Date: Tue, 9 Sep 2014 14:41:18 -0700 (PDT)

> Set cursor color and type:
> (setq default-frame-alist '((cursor-type . 'bar) (cursor-color . "red")))
> 
> Then resize the frame so that the window is just about wide enough
> to display one of the lines in the current buffer.
> Move point to end of one of the longest line.
> 
> Note cursor changes color to black.  Move point one to the left, and
> cursor will change back to what it's supposed to be.

1. I don't see that on MS Windows, with this build, from emacs -Q:

In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
 of 2014-08-15 on LEG570
Repository revision: 117706 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'

2. You probably also meant (cursor-type . bar), not (cursor-type . 'bar).

(With the quote I get a hollow red box, not a red bar.)

> Also (not demonstrated here), the cursor will change size to small
> if the default face in this buffer is enlarged with an entry in
> `face-remapping-alist'.

I do not see that either (on Windows).

> I've only noticed this today after merging the latest changes on the
> -24 branch into my Aquamacs branch, so this looks like a regression
> to me.

Hm, the version you report from shows a build of 8/15 (FWIW, my build
is also from 8/15).

HTH.